Patchwork sanity: Bump BitBake minimal version to 1.23.0

login
register
mail settings
Submitter Otavio Salvador
Date May 1, 2014, 7:38 p.m.
Message ID <1398973084-16849-1-git-send-email-otavio@ossystems.com.br>
Download mbox | patch
Permalink /patch/71371/
State New
Headers show

Comments

Otavio Salvador - May 1, 2014, 7:38 p.m.
The metadata started using the bb.utils.contains_any which has been
add in the BitBake 1.23.0 release, set this as the minimal version to
ensure parsing compatibility.

Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
---
 meta/conf/sanity.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Richard Purdie - May 1, 2014, 9:14 p.m.
On Thu, 2014-05-01 at 16:38 -0300, Otavio Salvador wrote:
> The metadata started using the bb.utils.contains_any which has been
> add in the BitBake 1.23.0 release, set this as the minimal version to
> ensure parsing compatibility.
> 
> Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
> ---
>  meta/conf/sanity.conf | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)

Technically its not quite this simple since versions of bitbake exist
where the contains_any() function is missing yet the version is 1.23.0.
We therefore should bump bitbake, then bump the version here to do this
correctly.

Cheers,

Richard

> diff --git a/meta/conf/sanity.conf b/meta/conf/sanity.conf
> index 940db33..b028026 100644
> --- a/meta/conf/sanity.conf
> +++ b/meta/conf/sanity.conf
> @@ -3,7 +3,7 @@
>  # See sanity.bbclass
>  #
>  # Expert users can confirm their sanity with "touch conf/sanity.conf"
> -BB_MIN_VERSION = "1.21.1"
> +BB_MIN_VERSION = "1.23.0"
>  
>  SANITY_ABIFILE = "${TMPDIR}/abi_version"
>  
> -- 
> 2.0.0.rc0
>
Otavio Salvador - May 1, 2014, 9:16 p.m.
On Thu, May 1, 2014 at 6:14 PM, Richard Purdie
<richard.purdie@linuxfoundation.org> wrote:
> On Thu, 2014-05-01 at 16:38 -0300, Otavio Salvador wrote:
>> The metadata started using the bb.utils.contains_any which has been
>> add in the BitBake 1.23.0 release, set this as the minimal version to
>> ensure parsing compatibility.
>>
>> Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
>> ---
>>  meta/conf/sanity.conf | 2 +-
>>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> Technically its not quite this simple since versions of bitbake exist
> where the contains_any() function is missing yet the version is 1.23.0.
> We therefore should bump bitbake, then bump the version here to do this
> correctly.
>

Should I send the 1.23.1 bump to BB or you do it?
Richard Purdie - May 1, 2014, 10:17 p.m.
On Thu, 2014-05-01 at 18:16 -0300, Otavio Salvador wrote:
> On Thu, May 1, 2014 at 6:14 PM, Richard Purdie
> <richard.purdie@linuxfoundation.org> wrote:
> > On Thu, 2014-05-01 at 16:38 -0300, Otavio Salvador wrote:
> >> The metadata started using the bb.utils.contains_any which has been
> >> add in the BitBake 1.23.0 release, set this as the minimal version to
> >> ensure parsing compatibility.
> >>
> >> Signed-off-by: Otavio Salvador <otavio@ossystems.com.br>
> >> ---
> >>  meta/conf/sanity.conf | 2 +-
> >>  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > Technically its not quite this simple since versions of bitbake exist
> > where the contains_any() function is missing yet the version is 1.23.0.
> > We therefore should bump bitbake, then bump the version here to do this
> > correctly.
> >
> 
> Should I send the 1.23.1 bump to BB or you do it?

I've fixed things up...

Cheers,

Richard

Patch

diff --git a/meta/conf/sanity.conf b/meta/conf/sanity.conf
index 940db33..b028026 100644
--- a/meta/conf/sanity.conf
+++ b/meta/conf/sanity.conf
@@ -3,7 +3,7 @@ 
 # See sanity.bbclass
 #
 # Expert users can confirm their sanity with "touch conf/sanity.conf"
-BB_MIN_VERSION = "1.21.1"
+BB_MIN_VERSION = "1.23.0"
 
 SANITY_ABIFILE = "${TMPDIR}/abi_version"